Name: gabber
Version: 0.8.7.12
Release: alt0.6

%def_disable debug

Summary: A GNOME Jabber client
Summary(ru_RU.CP1251):  Jabber  GNOME
License: GPL
Group: Networking/Instant messaging
URL: http://%name.sourceforge.net/
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

# TODO:
# - get rid of tmpnam

%define GABBER_IS_CVS 1
%define cvsdate 20030116

PreReq: docbook-dtds >= 1.0-alt6

%if !%GABBER_IS_CVS
Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
%else #%GABBER_IS_CVS
Source: %name-%version-cvs%cvsdate.tar.bz2
BuildPreReq: gettext
BuildPreReq: intltool
BuildPreReq: glib2-devel
%endif
Source1: %{name}_icons.tar.bz2
Source2: %name.menu
#Source3: %{name}_ru_po_files.tar.bz2

Patch0: %name-0.8.7.12-cflags.patch
Patch1: %name-0.8.7.12-system-expat.patch
Patch3: %name-0.8.7.12-omf.patch
Patch4: %name-0.8.7.12-shutup.patch
Patch5: %name-0.8.7.12-doc-install.patch

PreReq: scrollkeeper
BuildPreReq: gtk+-devel >= 1.2.0
BuildPreReq: gnome-libs-devel >= 1.2.1
BuildPreReq: libglade-devel >= 0.11
BuildPreReq: libgal-devel >= 0.3
BuildPreReq: libgtkmm-devel >= 1.2.5
BuildPreReq: libgnomemm-devel >= 1.1.12
BuildPreReq: libxmms-devel >= 1.2.0
BuildPreReq: libsigc++-devel >= 1.0.0

BuildConflicts: libxode-devel

# Automatically added by buildreq on Thu Jan 30 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel freetype2-devel gcc-c++ gdk-pixbuf-devel glib-devel gnome-common gnome-libs-devel gnupg gtk+-devel imlib-devel intltool libaudiofile-devel libdb1-devel libexpat-devel libgal-devel libglade-devel libgnomemm-devel libgnomeprint-devel libgtkmm-devel libsigc++-devel libssl-devel libxml-devel libxml2 libxmms-devel libxslt scrollkeeper xpm-devel zlib-devel gdk-pixbuf-devel

%description
Gabber is a GNOME client for an Open Source instant messaging system named Jabber.
Jabber is an Open Source distributed instant messaging system. It does not rely
on a single server, and the protocol is well documented. Jabber allows communication
with many different instant messaging systems, including ICQ and AIM. There are
several different Jabber clients already, but no other GNOME clients as of this writing.
Hopefully Gabber will serve the purpose of being a robust GNOME Jabber client well.

%description -l ru_RU.CP1251
Gabber -       Jabber,
   GNOME.    GNOME  
      - IceWM, KDE  .. Jabber
-      ,
      
,   ICQ, AIM, MSN  ..   
 Jabber,   GNOME      
 .  ,  Gabber    
Jabber.

%prep
%setup -q -a1
# -a3
%patch0 -p1 -b .patch-cflags
%patch1 -p1 -b .patch-expat
%patch3 -p1 -b .patch-omf
%if_disabled debug
%patch4 -p1 -b .patch-shutup
%endif
%patch5 -p1 -b .patch-doc-install

%if %GABBER_IS_CVS
ln -sf ../../macros jabberoo/libsigc++/macros
%endif
NOCONFIGURE=1 ./autogen.sh

#%__cp -f $RPM_BUILD_DIR/%name-%version/%{name}_ru_po_files/* $RPM_BUILD_DIR/%name-%version/po

%build
%configure %{subst_enable debug}

perl -ni -e '/^\s*-?scrollkeeper-update/ || print' omf-install/Makefile

%if_enabled debug
%make_build CXXFLAGS="$RPM_OPT_FLAGS -DTRANSMITTER_DEBUG"
%else
%make_build
%endif

%install
%makeinstall

%__mkdir -p $RPM_BUILD_ROOT%_menudir
%__mkdir -p $RPM_BUILD_ROOT%_man1dir

%__install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name
%__install -p -m644 -D %{name}_16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -p -m644 -D %{name}_32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -p -m644 -D %{name}_48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm
%__install -m644 %name.1 $RPM_BUILD_ROOT%_man1dir

%find_lang %name

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS COPYING COPYING.exception ABOUT-NLS ChangeLog NEWS README README.proxy TODO
%_man1dir/%name.1*
%config(noreplace) %_sysconfdir/sound/events/*
%_bindir/*
%_datadir/pixmaps/*
%_datadir/sounds/*
%_datadir/gnome/help/*
%_datadir/gnome/apps/Internet/*
%_datadir/%name
%_datadir/omf/*

%_menudir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Wed Feb  5 2003 Alexander V. Nikolaev <avn@altlinux.ru> 0.8.7.12-alt0.6
- Non-maintainer upload
- Add gdk-pixbuf-devel to BuildReq

* Thu Jan 30 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7.12-alt0.5
- CVS snapshot Jan 16 2003
- buildreq

* Wed Dec 04 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7.12-alt0.4
- CVS snapshot Nov 29 2002
- Patch2 gone upstream
- Patch3: fix OMF
- Patch4: shut up the most annoying debug output
- Patch5: install chapters in the chapters subdirectory
- Require the fixed Docbook DTDs

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.8.7.12-alt0.3
- rebuilt with libgal-0.21

* Sat Nov 02 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7.12-alt0.2
- CVS snapshot 29 Oct 2002
- condfigurable to use stringstream instead of deprecated strstream
- other deprecated header fixes

* Mon Sep 23 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7.12-alt0.1mhz1
- CVS snapshot 22 Sep 2002
- fixed CFLAGS for jabberoo
- patch jabberoo to use system expat

* Sat Sep 14 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7.11-alt0.1mhz1
- CVS snapshot 13 Sep 2002

* Wed May 22 2002 Vyt <vyt@altlinux.ru> 0.8.7-alt2
- cvs-build 22 May 2002
- added glib2-devel to cvs buildreqs
- man page included
- updated russian translation

* Thu Feb 28 2002 Vyt <vyt@altlinux.ru> 0.8.7-alt1
- 0.8.7
- make_build in spec
- added freetype2-devel, xmms-devel to buildreqs
- russian summary

* Wed Jan 16 2002 AEN <aen@logic.ru> 0.8.6-alt3
- build w/o optimization

* Wed Jan 16 2002 AEN <aen@logic.ru> 0.8.6-alt2
- Buildconflicts with libxode (thnx to Vyt!)

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.8.6-alt1
- new version

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.8.4-alt6
- rebuild with new libgal & libgtkhtml

* Fri Oct 26 2001 AEN <aen@logic.ru> 0.8.4-alt5
- rebuild with new libgal & libgtkhtml

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.8.4-alt4
- rebuild with new libgal & libgtkhtml

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.8.4-alt3
- Rebuilt with new libgal

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.4-alt2
- Rebuilt with new gnomemm.

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.8.4-alt1
- 0.8.4
- reebuild with new libgal & gtkhtml

* Tue Jul 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.3-alt3
- Build with new gnomemm.

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.8.3-alt2
- rebuild with new libgal

* Mon May 21 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.3-alt1
- 0.8.3
- gcc 0.96 patch is not needed any more
- enabled optimization
- Versioned dependencies

* Fri Mar 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.2-alt1
- 0.8.2
- Build with new gnomemm.

* Sun Feb  4 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> 0.8.1-ipl3mdk
- rebuilt with db3-3.2.3e-ipl2mdk

* Wed Jan 18 2001 AEN <aen@logic.ru>
- RE adaptation
- disable-gtkmmtest

* Thu Jan 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Fri Jan 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Build now with gcc 2.96
- Add missing files
- Embed menu entry in specfile

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-3mdk
- Menu title should begin with Capital letter

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-2mdk
- Rebuild for next release

* Thu Aug  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-1mdk
- First mdk release
